#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kmail
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/kmail
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${CMAKE_SOURCE_DIR}/libtdenetwork
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GPGME_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcmkmailsummary.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kontact-desktops
)

tde_create_translated_desktop(
  SOURCE kmailplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kontact
  PO_DIR kontact-desktops
)


##### libkontact_kmailplugin (module) ###########

tde_save_and_set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )

tde_add_kpart( libkontact_kmailplugin AUTOMOC
  SOURCES
    kmail_plugin.cpp summarywidget.cpp summarywidget.skel
    ${CMAKE_SOURCE_DIR}/kmail/kmailIface.stub
  LINK kpinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
  DEPENDENCIES kmail_settings_base
)

tde_restore( KDE3_DCOPIDL_EXECUTABLE )


##### kcm_kmailsummary (module) #################

tde_add_kpart( kcm_kmailsummary AUTOMOC
  SOURCES kcmkmailsummary.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
